<div>
    <h2 id="page-heading">
        <span>Shop Bill Infos</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-shop-bill-info" [routerLink]="['/shop-bill-info/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Shop Bill Info
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="shopBillInfos?.length === 0">
        <span>No shopBillInfos found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="shopBillInfos && shopBillInfos.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Vendor Id</span></th>
                    <th scope="col" ><span>Company Name</span></th>
                    <th scope="col" ><span>Tax Id</span></th>
                    <th scope="col" ><span>Address</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col" ><span>Active</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let shopBillInfo of shopBillInfos ;trackBy: trackId">
                    <td><a [routerLink]="['/shop-bill-info', shopBillInfo.id, 'view']">{{ shopBillInfo.id }}</a></td>
                    <td>{{ shopBillInfo.vendorId }}</td>
                    <td>{{ shopBillInfo.companyName }}</td>
                    <td>{{ shopBillInfo.taxId }}</td>
                    <td>{{ shopBillInfo.address }}</td>
                    <td>{{ shopBillInfo.status }}</td>
                    <td>{{ shopBillInfo.active }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/shop-bill-info', shopBillInfo.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/shop-bill-info', shopBillInfo.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(shopBillInfo)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
